Get all instances of a service

Returns all instances of a service by service model name.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

namestringRequired
A service model's XPATH. The XPATH can be obtained from the API <a href='#getServiceModelMap'>ServiceManagement.getServiceModelMap()</a>. When using this API over HTTP, this will be a part of the path itself. Therefore (since service models always include '/' character), the path will first need to be URL encoded. A good site for URL encoding text is <a href='https://www.urlencoder.org/'>URL Encoder</a>.

Response

An array of objects. Each object holds details on a service instance. Fields key_type and key_value holds the key field names and key field values, respectively, for the instance. Multi-field keys are expressed as a space-delimited list of strings.

Errors

500
Internal Server Error